package sicura.entities;
// Generated 2-lug-2017 12.21.35 by Hibernate Tools 5.2.3.Final

import javax.ejb.Stateless;
import javax.persistence.EntityManager;
import javax.persistence.PersistenceContext;
import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;

/**
 * Home object for domain model class CondizioniCtrlAea.
 * @see sicura.entities.CondizioniCtrlAea
 * @author Hibernate Tools
 */
@Stateless
public class CondizioniCtrlAeaHome {

	private static final Log log = LogFactory.getLog(CondizioniCtrlAeaHome.class);

	@PersistenceContext
	private EntityManager entityManager;

	public void persist(CondizioniCtrlAea transientInstance) {
		log.debug("persisting CondizioniCtrlAea instance");
		try {
			entityManager.persist(transientInstance);
			log.debug("persist successful");
		} catch (RuntimeException re) {
			log.error("persist failed", re);
			throw re;
		}
	}

	public void remove(CondizioniCtrlAea persistentInstance) {
		log.debug("removing CondizioniCtrlAea instance");
		try {
			entityManager.remove(persistentInstance);
			log.debug("remove successful");
		} catch (RuntimeException re) {
			log.error("remove failed", re);
			throw re;
		}
	}

	public CondizioniCtrlAea merge(CondizioniCtrlAea detachedInstance) {
		log.debug("merging CondizioniCtrlAea instance");
		try {
			CondizioniCtrlAea result = entityManager.merge(detachedInstance);
			log.debug("merge successful");
			return result;
		} catch (RuntimeException re) {
			log.error("merge failed", re);
			throw re;
		}
	}

	public CondizioniCtrlAea findById(Integer id) {
		log.debug("getting CondizioniCtrlAea instance with id: " + id);
		try {
			CondizioniCtrlAea instance = entityManager.find(CondizioniCtrlAea.class, id);
			log.debug("get successful");
			return instance;
		} catch (RuntimeException re) {
			log.error("get failed", re);
			throw re;
		}
	}
}
